%define         major 0
%define         libname %mklibname de265_ %{major}
%define         devname %mklibname de265 -d

Name:           libde265
Version:        1.0.11
Release:        %mkrel 1
Summary:        Open h.265 video codec implementation
Group:          System/Libraries
License:        LGPLv2 and GPLv2
URL:            https://github.com/strukturag/libde265
Source0:        https://github.com/strukturag/libde265/releases/download/v%{version}/%{name}-%{version}%{?extra:-%{extra}}.tar.xz

BuildRequires:  lib64SDL-devel

%description
libde265 is an open source implementation of the h.265 video codec. It is
written from scratch and has a plain C API to enable a simple integration
into other software.

libde265 supports WPP and tile-based multithreading and includes SSE
optimizations. The decoder includes all features of the Main profile and
correctly decodes almost all conformance streams.

%package        -n %{libname}
Summary:        Library files for %{name}
Group:          System/Libraries

%description    -n %{libname}
The %{libname} package contains the libraries for %{name}.

%package        -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       de265-devel = %{version}-%{release}

%description    -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
./autogen.sh
%configure2_5x --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.*a' -delete

%__mv %{buildroot}%{_bindir}/tests %{buildroot}%{_bindir}/%{name}-tests

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*%{name}*.so.%{major}*

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/*%{name}*.so
%{_libdir}/pkgconfig/libde265.pc



%changelog
* Thu Feb 02 2023 tex - 1.0.11-1pclos2023
- new version

* Thu Jan 26 2023 tex - 1.0.9-1pclos2023
- new version

* Fri Nov 06 2020 tex - 1.0.8-1pclos2020
- new version

* Thu Sep 24 2020 tex - 1.0.7-1pclos2020
- Update to version 1.0.7
